OpenStack Compute (Nova)

volume api returns garbage when not attached

Reported by Brian Waldon on 2012-02-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Brian Waldon
openstack-manuals
Medium
Brian Waldon

Bug Description

A volume should have an empty list of attachments when unattached. An empty dict is not necessary:

{"volume": {
"status": "available",
"displayDescription": "",
"availabilityZone": "nova",
"displayName": "vol1",
"attachments": [{}],
"volumeType": null,
"snapshotId": null,
"size": 1,
"id": 1,
"createdAt": "2012-02-28 22:18:10",
"metadata": {}
}}

Brian Waldon (bcwaldon) on 2012-02-29
Changed in openstack-manuals:
status: New → In Progress
assignee: nobody → Brian Waldon (bcwaldon)

Reviewed: https://review.openstack.org/4663
Committed: http://github.com/openstack/nova/commit/36100f6f99b317ef9f10f101f7cecfb1639255a8
Submitter: Jenkins
Branch: master

commit 36100f6f99b317ef9f10f101f7cecfb1639255a8
Author: Brian Waldon <email address hidden>
Date: Tue Feb 28 17:11:05 2012 -0800

    Return empty list when volume not attached

    * The api used to return a list of a single empty dict
    * Fixes bug 942990

    Change-Id: I9926515acfcedf711e81615aa13cec0bbf968086

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-02-29
Changed in nova:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/4661
Committed: http://github.com/openstack/openstack-manuals/commit/eb2e571a4693efc25e34f715017dcd4478e057fc
Submitter: Jenkins
Branch: master

commit eb2e571a4693efc25e34f715017dcd4478e057fc
Author: Brian Waldon <email address hidden>
Date: Tue Feb 28 16:58:55 2012 -0800

    Update volume attachments

    * Attachments are empty list, not list of a single empty dict
    * Fixes bug 942990

    Change-Id: Ib26a5b2b3f33bf3a97755949da5f6df9a43c5a4a

Changed in openstack-manuals:
status: In Progress → Fix Committed
Anne Gentle (annegentle) on 2012-02-29
Changed in openstack-manuals:
importance: Undecided → Medium
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-4 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers